pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 12.0.0 20211127 (Red Hat 12.0-6)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   GNAT_Version_Address : constant System.Address := GNAT_Version'Address;
   pragma Export (C, GNAT_Version_Address, "__gnat_version_address");

   Ada_Main_Program_Name : constant String := "_ada_gnatbind" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#9822f7a9#;
   pragma Export (C, u00001, "gnatbindB");
   u00002 : constant Version_32 := 16#d6787f71#;
   pragma Export (C, u00002, "gnatbindS");
   u00003 : constant Version_32 := 16#2e11c0b1#;
   pragma Export (C, u00003, "system__standard_libraryB");
   u00004 : constant Version_32 := 16#2b3105e0#;
   pragma Export (C, u00004, "system__standard_libraryS");
   u00005 : constant Version_32 := 16#cc2c1877#;
   pragma Export (C, u00005, "ada__exceptionsB");
   u00006 : constant Version_32 := 16#af17f79d#;
   pragma Export (C, u00006, "ada__exceptionsS");
   u00007 : constant Version_32 := 16#76789da1#;
   pragma Export (C, u00007, "adaS");
   u00008 : constant Version_32 := 16#19b42e05#;
   pragma Export (C, u00008, "ada__exceptions__last_chance_handlerB");
   u00009 : constant Version_32 := 16#e33d5b84#;
   pragma Export (C, u00009, "ada__exceptions__last_chance_handlerS");
   u00010 : constant Version_32 := 16#62859e27#;
   pragma Export (C, u00010, "systemS");
   u00011 : constant Version_32 := 16#adf22619#;
   pragma Export (C, u00011, "system__soft_linksB");
   u00012 : constant Version_32 := 16#279f17c0#;
   pragma Export (C, u00012, "system__soft_linksS");
   u00013 : constant Version_32 := 16#ba81dcfb#;
   pragma Export (C, u00013, "system__secondary_stackB");
   u00014 : constant Version_32 := 16#85d0eac5#;
   pragma Export (C, u00014, "system__secondary_stackS");
   u00015 : constant Version_32 := 16#5c04aa41#;
   pragma Export (C, u00015, "system__parametersB");
   u00016 : constant Version_32 := 16#3329198a#;
   pragma Export (C, u00016, "system__parametersS");
   u00017 : constant Version_32 := 16#ced09590#;
   pragma Export (C, u00017, "system__storage_elementsB");
   u00018 : constant Version_32 := 16#4f46d423#;
   pragma Export (C, u00018, "system__storage_elementsS");
   u00019 : constant Version_32 := 16#ce3e0e21#;
   pragma Export (C, u00019, "system__soft_links__initializeB");
   u00020 : constant Version_32 := 16#5697fc2b#;
   pragma Export (C, u00020, "system__soft_links__initializeS");
   u00021 : constant Version_32 := 16#41837d1e#;
   pragma Export (C, u00021, "system__stack_checkingB");
   u00022 : constant Version_32 := 16#ec3af5cf#;
   pragma Export (C, u00022, "system__stack_checkingS");
   u00023 : constant Version_32 := 16#34742901#;
   pragma Export (C, u00023, "system__exception_tableB");
   u00024 : constant Version_32 := 16#71b9728d#;
   pragma Export (C, u00024, "system__exception_tableS");
   u00025 : constant Version_32 := 16#3c4b01bc#;
   pragma Export (C, u00025, "system__exceptionsS");
   u00026 : constant Version_32 := 16#69416224#;
   pragma Export (C, u00026, "system__exceptions__machineB");
   u00027 : constant Version_32 := 16#46086a45#;
   pragma Export (C, u00027, "system__exceptions__machineS");
   u00028 : constant Version_32 := 16#aa0563fc#;
   pragma Export (C, u00028, "system__exceptions_debugB");
   u00029 : constant Version_32 := 16#529de20b#;
   pragma Export (C, u00029, "system__exceptions_debugS");
   u00030 : constant Version_32 := 16#d20ced6c#;
   pragma Export (C, u00030, "system__img_intS");
   u00031 : constant Version_32 := 16#01838199#;
   pragma Export (C, u00031, "system__tracebackB");
   u00032 : constant Version_32 := 16#2208687c#;
   pragma Export (C, u00032, "system__tracebackS");
   u00033 : constant Version_32 := 16#1f08c83e#;
   pragma Export (C, u00033, "system__traceback_entriesB");
   u00034 : constant Version_32 := 16#442d4d46#;
   pragma Export (C, u00034, "system__traceback_entriesS");
   u00035 : constant Version_32 := 16#a0281f47#;
   pragma Export (C, u00035, "system__traceback__symbolicB");
   u00036 : constant Version_32 := 16#50f995d5#;
   pragma Export (C, u00036, "system__traceback__symbolicS");
   u00037 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00037, "ada__exceptions__tracebackB");
   u00038 : constant Version_32 := 16#a40f75ce#;
   pragma Export (C, u00038, "ada__exceptions__tracebackS");
   u00039 : constant Version_32 := 16#a0d3d22b#;
   pragma Export (C, u00039, "system__address_imageB");
   u00040 : constant Version_32 := 16#c369031d#;
   pragma Export (C, u00040, "system__address_imageS");
   u00041 : constant Version_32 := 16#8c33a517#;
   pragma Export (C, u00041, "system__wch_conB");
   u00042 : constant Version_32 := 16#79f8bcf5#;
   pragma Export (C, u00042, "system__wch_conS");
   u00043 : constant Version_32 := 16#9721e840#;
   pragma Export (C, u00043, "system__wch_stwB");
   u00044 : constant Version_32 := 16#54e990f4#;
   pragma Export (C, u00044, "system__wch_stwS");
   u00045 : constant Version_32 := 16#a831679c#;
   pragma Export (C, u00045, "system__wch_cnvB");
   u00046 : constant Version_32 := 16#764f0606#;
   pragma Export (C, u00046, "system__wch_cnvS");
   u00047 : constant Version_32 := 16#5ab55268#;
   pragma Export (C, u00047, "interfacesS");
   u00048 : constant Version_32 := 16#ece6fdb6#;
   pragma Export (C, u00048, "system__wch_jisB");
   u00049 : constant Version_32 := 16#f63f1f27#;
   pragma Export (C, u00049, "system__wch_jisS");
   u00050 : constant Version_32 := 16#baf70b59#;
   pragma Export (C, u00050, "aliB");
   u00051 : constant Version_32 := 16#4744556f#;
   pragma Export (C, u00051, "aliS");
   u00052 : constant Version_32 := 16#841c7f3d#;
   pragma Export (C, u00052, "butilB");
   u00053 : constant Version_32 := 16#6da91032#;
   pragma Export (C, u00053, "butilS");
   u00054 : constant Version_32 := 16#b5988c27#;
   pragma Export (C, u00054, "gnatS");
   u00055 : constant Version_32 := 16#40f0b74c#;
   pragma Export (C, u00055, "optB");
   u00056 : constant Version_32 := 16#f39d459c#;
   pragma Export (C, u00056, "optS");
   u00057 : constant Version_32 := 16#f7706eca#;
   pragma Export (C, u00057, "hostparmS");
   u00058 : constant Version_32 := 16#fd83e873#;
   pragma Export (C, u00058, "system__concat_2B");
   u00059 : constant Version_32 := 16#602549f7#;
   pragma Export (C, u00059, "system__concat_2S");
   u00060 : constant Version_32 := 16#189db50b#;
   pragma Export (C, u00060, "typesB");
   u00061 : constant Version_32 := 16#16b8f51f#;
   pragma Export (C, u00061, "typesS");
   u00062 : constant Version_32 := 16#a1d6147d#;
   pragma Export (C, u00062, "system__compare_array_unsigned_8B");
   u00063 : constant Version_32 := 16#cb86efaa#;
   pragma Export (C, u00063, "system__compare_array_unsigned_8S");
   u00064 : constant Version_32 := 16#a8025f3c#;
   pragma Export (C, u00064, "system__address_operationsB");
   u00065 : constant Version_32 := 16#71892014#;
   pragma Export (C, u00065, "system__address_operationsS");
   u00066 : constant Version_32 := 16#4982eab4#;
   pragma Export (C, u00066, "system__unsigned_typesS");
   u00067 : constant Version_32 := 16#2a8e89ad#;
   pragma Export (C, u00067, "system__stringsB");
   u00068 : constant Version_32 := 16#2ec87df5#;
   pragma Export (C, u00068, "system__stringsS");
   u00069 : constant Version_32 := 16#cf449528#;
   pragma Export (C, u00069, "outputB");
   u00070 : constant Version_32 := 16#6c38fdb8#;
   pragma Export (C, u00070, "outputS");
   u00071 : constant Version_32 := 16#c4960557#;
   pragma Export (C, u00071, "system__os_libB");
   u00072 : constant Version_32 := 16#52088caf#;
   pragma Export (C, u00072, "system__os_libS");
   u00073 : constant Version_32 := 16#ec4d5631#;
   pragma Export (C, u00073, "system__case_utilB");
   u00074 : constant Version_32 := 16#5d502873#;
   pragma Export (C, u00074, "system__case_utilS");
   u00075 : constant Version_32 := 16#3d92c2fb#;
   pragma Export (C, u00075, "system__crtlS");
   u00076 : constant Version_32 := 16#210af0fb#;
   pragma Export (C, u00076, "nametB");
   u00077 : constant Version_32 := 16#d301c7df#;
   pragma Export (C, u00077, "nametS");
   u00078 : constant Version_32 := 16#91fc5baa#;
   pragma Export (C, u00078, "debugB");
   u00079 : constant Version_32 := 16#1ac546f9#;
   pragma Export (C, u00079, "debugS");
   u00080 : constant Version_32 := 16#26263496#;
   pragma Export (C, u00080, "widecharB");
   u00081 : constant Version_32 := 16#30ee4853#;
   pragma Export (C, u00081, "widecharS");
   u00082 : constant Version_32 := 16#1b78961f#;
   pragma Export (C, u00082, "allocS");
   u00083 : constant Version_32 := 16#280d5ae7#;
   pragma Export (C, u00083, "tableB");
   u00084 : constant Version_32 := 16#35415d23#;
   pragma Export (C, u00084, "tableS");
   u00085 : constant Version_32 := 16#fa5bafc8#;
   pragma Export (C, u00085, "system__memoryB");
   u00086 : constant Version_32 := 16#3bf8f813#;
   pragma Export (C, u00086, "system__memoryS");
   u00087 : constant Version_32 := 16#9b950d9a#;
   pragma Export (C, u00087, "fnameB");
   u00088 : constant Version_32 := 16#6ef24056#;
   pragma Export (C, u00088, "fnameS");
   u00089 : constant Version_32 := 16#0c1f684a#;
   pragma Export (C, u00089, "gnat__dynamic_htablesB");
   u00090 : constant Version_32 := 16#05f952b6#;
   pragma Export (C, u00090, "gnat__dynamic_htablesS");
   u00091 : constant Version_32 := 16#4e6ae2f0#;
   pragma Export (C, u00091, "osintB");
   u00092 : constant Version_32 := 16#9e248e39#;
   pragma Export (C, u00092, "osintS");
   u00093 : constant Version_32 := 16#6f94387e#;
   pragma Export (C, u00093, "fmapB");
   u00094 : constant Version_32 := 16#bafa9de5#;
   pragma Export (C, u00094, "fmapS");
   u00095 : constant Version_32 := 16#be789e08#;
   pragma Export (C, u00095, "gnat__htableB");
   u00096 : constant Version_32 := 16#7a3e0440#;
   pragma Export (C, u00096, "gnat__htableS");
   u00097 : constant Version_32 := 16#5534feb6#;
   pragma Export (C, u00097, "system__htableB");
   u00098 : constant Version_32 := 16#e6472dcd#;
   pragma Export (C, u00098, "system__htableS");
   u00099 : constant Version_32 := 16#089f5cd0#;
   pragma Export (C, u00099, "system__string_hashB");
   u00100 : constant Version_32 := 16#441946b3#;
   pragma Export (C, u00100, "system__string_hashS");
   u00101 : constant Version_32 := 16#ebbea06c#;
   pragma Export (C, u00101, "gnatvsnB");
   u00102 : constant Version_32 := 16#b2ce1676#;
   pragma Export (C, u00102, "gnatvsnS");
   u00103 : constant Version_32 := 16#3fcd0631#;
   pragma Export (C, u00103, "sdefaultB");
   u00104 : constant Version_32 := 16#e7342cbf#;
   pragma Export (C, u00104, "sdefaultS");
   u00105 : constant Version_32 := 16#303d4bc6#;
   pragma Export (C, u00105, "targparmB");
   u00106 : constant Version_32 := 16#1a496f66#;
   pragma Export (C, u00106, "targparmS");
   u00107 : constant Version_32 := 16#89a09cc9#;
   pragma Export (C, u00107, "csetsB");
   u00108 : constant Version_32 := 16#e948558f#;
   pragma Export (C, u00108, "csetsS");
   u00109 : constant Version_32 := 16#06c1cd57#;
   pragma Export (C, u00109, "ridentS");
   u00110 : constant Version_32 := 16#afdef0b8#;
   pragma Export (C, u00110, "snamesB");
   u00111 : constant Version_32 := 16#3db80430#;
   pragma Export (C, u00111, "snamesS");
   u00112 : constant Version_32 := 16#ee7e5be9#;
   pragma Export (C, u00112, "casingB");
   u00113 : constant Version_32 := 16#91da49f0#;
   pragma Export (C, u00113, "casingS");
   u00114 : constant Version_32 := 16#0bbbfa3c#;
   pragma Export (C, u00114, "ali__utilB");
   u00115 : constant Version_32 := 16#bdca8d6b#;
   pragma Export (C, u00115, "ali__utilS");
   u00116 : constant Version_32 := 16#c0b2b96c#;
   pragma Export (C, u00116, "atreeB");
   u00117 : constant Version_32 := 16#32c482f5#;
   pragma Export (C, u00117, "atreeS");
   u00118 : constant Version_32 := 16#9695835c#;
   pragma Export (C, u00118, "aspectsB");
   u00119 : constant Version_32 := 16#e3107023#;
   pragma Export (C, u00119, "aspectsS");
   u00120 : constant Version_32 := 16#1884a902#;
   pragma Export (C, u00120, "einfoS");
   u00121 : constant Version_32 := 16#2519ce39#;
   pragma Export (C, u00121, "standS");
   u00122 : constant Version_32 := 16#9f778692#;
   pragma Export (C, u00122, "uintpB");
   u00123 : constant Version_32 := 16#48f94ec7#;
   pragma Export (C, u00123, "uintpS");
   u00124 : constant Version_32 := 16#919f306d#;
   pragma Export (C, u00124, "urealpB");
   u00125 : constant Version_32 := 16#da4c5dcf#;
   pragma Export (C, u00125, "urealpS");
   u00126 : constant Version_32 := 16#f97c53c8#;
   pragma Export (C, u00126, "einfo__entitiesB");
   u00127 : constant Version_32 := 16#856857a6#;
   pragma Export (C, u00127, "einfo__entitiesS");
   u00128 : constant Version_32 := 16#ba7c0ef5#;
   pragma Export (C, u00128, "einfo__utilsB");
   u00129 : constant Version_32 := 16#75281ea2#;
   pragma Export (C, u00129, "einfo__utilsS");
   u00130 : constant Version_32 := 16#f5b8535a#;
   pragma Export (C, u00130, "elistsB");
   u00131 : constant Version_32 := 16#52c05d34#;
   pragma Export (C, u00131, "elistsS");
   u00132 : constant Version_32 := 16#b6619bcb#;
   pragma Export (C, u00132, "nlistsB");
   u00133 : constant Version_32 := 16#c0081ad2#;
   pragma Export (C, u00133, "nlistsS");
   u00134 : constant Version_32 := 16#6d75157a#;
   pragma Export (C, u00134, "sinfoS");
   u00135 : constant Version_32 := 16#5f4df2db#;
   pragma Export (C, u00135, "sinfo__nodesB");
   u00136 : constant Version_32 := 16#cc986d14#;
   pragma Export (C, u00136, "sinfo__nodesS");
   u00137 : constant Version_32 := 16#1ad6445e#;
   pragma Export (C, u00137, "sinfo__utilsB");
   u00138 : constant Version_32 := 16#f74187ed#;
   pragma Export (C, u00138, "sinfo__utilsS");
   u00139 : constant Version_32 := 16#71b47432#;
   pragma Export (C, u00139, "seinfoS");
   u00140 : constant Version_32 := 16#0683eb1d#;
   pragma Export (C, u00140, "sinputB");
   u00141 : constant Version_32 := 16#4593a628#;
   pragma Export (C, u00141, "sinputS");
   u00142 : constant Version_32 := 16#f546f02e#;
   pragma Export (C, u00142, "gnat__byte_order_markB");
   u00143 : constant Version_32 := 16#9e8b3c0b#;
   pragma Export (C, u00143, "gnat__byte_order_markS");
   u00144 : constant Version_32 := 16#e7b56ca6#;
   pragma Export (C, u00144, "scansB");
   u00145 : constant Version_32 := 16#4bc89415#;
   pragma Export (C, u00145, "scansS");
   u00146 : constant Version_32 := 16#13e25aee#;
   pragma Export (C, u00146, "binderrB");
   u00147 : constant Version_32 := 16#67d1ab6e#;
   pragma Export (C, u00147, "binderrS");
   u00148 : constant Version_32 := 16#c9757f19#;
   pragma Export (C, u00148, "err_varsS");
   u00149 : constant Version_32 := 16#63b67b5a#;
   pragma Export (C, u00149, "erroutB");
   u00150 : constant Version_32 := 16#16abd4e7#;
   pragma Export (C, u00150, "erroutS");
   u00151 : constant Version_32 := 16#3e7c70c2#;
   pragma Export (C, u00151, "erroutcB");
   u00152 : constant Version_32 := 16#4f1f37f8#;
   pragma Export (C, u00152, "erroutcS");
   u00153 : constant Version_32 := 16#5dea09c9#;
   pragma Export (C, u00153, "stringtB");
   u00154 : constant Version_32 := 16#4b75cc8c#;
   pragma Export (C, u00154, "stringtS");
   u00155 : constant Version_32 := 16#f4ee85e7#;
   pragma Export (C, u00155, "libB");
   u00156 : constant Version_32 := 16#1c6835e3#;
   pragma Export (C, u00156, "libS");
   u00157 : constant Version_32 := 16#28c90ca0#;
   pragma Export (C, u00157, "unameB");
   u00158 : constant Version_32 := 16#1b7eba59#;
   pragma Export (C, u00158, "unameS");
   u00159 : constant Version_32 := 16#e39edb27#;
   pragma Export (C, u00159, "sem_auxB");
   u00160 : constant Version_32 := 16#545cd06d#;
   pragma Export (C, u00160, "sem_auxS");
   u00161 : constant Version_32 := 16#9767a7a7#;
   pragma Export (C, u00161, "styleswB");
   u00162 : constant Version_32 := 16#fc046d4e#;
   pragma Export (C, u00162, "styleswS");
   u00163 : constant Version_32 := 16#cd0b6bff#;
   pragma Export (C, u00163, "scngB");
   u00164 : constant Version_32 := 16#1fafa4ba#;
   pragma Export (C, u00164, "scngS");
   u00165 : constant Version_32 := 16#1c868fea#;
   pragma Export (C, u00165, "system__crc32B");
   u00166 : constant Version_32 := 16#db974488#;
   pragma Export (C, u00166, "system__crc32S");
   u00167 : constant Version_32 := 16#a23f8c52#;
   pragma Export (C, u00167, "system__utf_32B");
   u00168 : constant Version_32 := 16#464aed3a#;
   pragma Export (C, u00168, "system__utf_32S");
   u00169 : constant Version_32 := 16#37231e32#;
   pragma Export (C, u00169, "stylegB");
   u00170 : constant Version_32 := 16#e7bf9c88#;
   pragma Export (C, u00170, "stylegS");
   u00171 : constant Version_32 := 16#a6e6ce34#;
   pragma Export (C, u00171, "sinput__cB");
   u00172 : constant Version_32 := 16#feb16495#;
   pragma Export (C, u00172, "sinput__cS");
   u00173 : constant Version_32 := 16#9a809d1a#;
   pragma Export (C, u00173, "bcheckB");
   u00174 : constant Version_32 := 16#881dacd4#;
   pragma Export (C, u00174, "bcheckS");
   u00175 : constant Version_32 := 16#7d12a365#;
   pragma Export (C, u00175, "bindgenB");
   u00176 : constant Version_32 := 16#8bb8d2f2#;
   pragma Export (C, u00176, "bindgenS");
   u00177 : constant Version_32 := 16#971572dd#;
   pragma Export (C, u00177, "gnat__heap_sort_aB");
   u00178 : constant Version_32 := 16#0e248684#;
   pragma Export (C, u00178, "gnat__heap_sort_aS");
   u00179 : constant Version_32 := 16#54e055c2#;
   pragma Export (C, u00179, "osint__bB");
   u00180 : constant Version_32 := 16#aa8d3012#;
   pragma Export (C, u00180, "osint__bS");
   u00181 : constant Version_32 := 16#5c423494#;
   pragma Export (C, u00181, "bindoB");
   u00182 : constant Version_32 := 16#7ff7f040#;
   pragma Export (C, u00182, "bindoS");
   u00183 : constant Version_32 := 16#267b3400#;
   pragma Export (C, u00183, "bindeB");
   u00184 : constant Version_32 := 16#2ea5c4e4#;
   pragma Export (C, u00184, "bindeS");
   u00185 : constant Version_32 := 16#747918aa#;
   pragma Export (C, u00185, "bindo__elaboratorsB");
   u00186 : constant Version_32 := 16#ba15b383#;
   pragma Export (C, u00186, "bindo__elaboratorsS");
   u00187 : constant Version_32 := 16#419b7d49#;
   pragma Export (C, u00187, "bindo__augmentorsB");
   u00188 : constant Version_32 := 16#4de1d230#;
   pragma Export (C, u00188, "bindo__augmentorsS");
   u00189 : constant Version_32 := 16#2cc5ca02#;
   pragma Export (C, u00189, "bindo__writersB");
   u00190 : constant Version_32 := 16#3cd7f5e5#;
   pragma Export (C, u00190, "bindo__writersS");
   u00191 : constant Version_32 := 16#0426d861#;
   pragma Export (C, u00191, "bindo__unitsB");
   u00192 : constant Version_32 := 16#02e8d8ea#;
   pragma Export (C, u00192, "bindo__unitsS");
   u00193 : constant Version_32 := 16#6fec6580#;
   pragma Export (C, u00193, "gnat__setsB");
   u00194 : constant Version_32 := 16#d4fca1b1#;
   pragma Export (C, u00194, "gnat__setsS");
   u00195 : constant Version_32 := 16#f2d71393#;
   pragma Export (C, u00195, "gnat__graphsB");
   u00196 : constant Version_32 := 16#4a2a0f3d#;
   pragma Export (C, u00196, "gnat__graphsS");
   u00197 : constant Version_32 := 16#0de558cf#;
   pragma Export (C, u00197, "gnat__listsB");
   u00198 : constant Version_32 := 16#00c03999#;
   pragma Export (C, u00198, "gnat__listsS");
   u00199 : constant Version_32 := 16#51bd4a32#;
   pragma Export (C, u00199, "bindo__graphsB");
   u00200 : constant Version_32 := 16#e0bb1e72#;
   pragma Export (C, u00200, "bindo__graphsS");
   u00201 : constant Version_32 := 16#6bd27ad4#;
   pragma Export (C, u00201, "bindo__buildersB");
   u00202 : constant Version_32 := 16#1ff68edf#;
   pragma Export (C, u00202, "bindo__buildersS");
   u00203 : constant Version_32 := 16#acd49f9d#;
   pragma Export (C, u00203, "bindo__validatorsB");
   u00204 : constant Version_32 := 16#500a8d28#;
   pragma Export (C, u00204, "bindo__validatorsS");
   u00205 : constant Version_32 := 16#d8545229#;
   pragma Export (C, u00205, "bindo__diagnosticsB");
   u00206 : constant Version_32 := 16#0693eff6#;
   pragma Export (C, u00206, "bindo__diagnosticsS");
   u00207 : constant Version_32 := 16#279078ab#;
   pragma Export (C, u00207, "bindusgB");
   u00208 : constant Version_32 := 16#12f067e3#;
   pragma Export (C, u00208, "bindusgS");
   u00209 : constant Version_32 := 16#34f2c5af#;
   pragma Export (C, u00209, "switchB");
   u00210 : constant Version_32 := 16#97f96714#;
   pragma Export (C, u00210, "switchS");
   u00211 : constant Version_32 := 16#75078123#;
   pragma Export (C, u00211, "switch__bB");
   u00212 : constant Version_32 := 16#2c145cac#;
   pragma Export (C, u00212, "switch__bS");
   u00213 : constant Version_32 := 16#4cb2bae6#;
   pragma Export (C, u00213, "system__response_fileB");
   u00214 : constant Version_32 := 16#537a27c7#;
   pragma Export (C, u00214, "system__response_fileS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.img_int%s
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.utf_32%s
   --  system.utf_32%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.crc32%s
   --  system.crc32%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.secondary_stack%s
   --  system.standard_library%s
   --  ada.exceptions%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.soft_links%s
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.traceback%b
   --  system.address_image%s
   --  system.address_image%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  system.exceptions%s
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  system.memory%s
   --  system.memory%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.standard_library%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  gnat%s
   --  gnat.heap_sort_a%s
   --  gnat.heap_sort_a%b
   --  gnat.htable%s
   --  gnat.htable%b
   --  system.case_util%s
   --  system.case_util%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  gnat.byte_order_mark%s
   --  gnat.byte_order_mark%b
   --  gnat.dynamic_htables%s
   --  gnat.dynamic_htables%b
   --  gnat.lists%s
   --  gnat.lists%b
   --  gnat.sets%s
   --  gnat.sets%b
   --  gnat.graphs%s
   --  gnat.graphs%b
   --  system.response_file%s
   --  system.response_file%b
   --  debug%s
   --  debug%b
   --  types%s
   --  types%b
   --  alloc%s
   --  gnatvsn%s
   --  gnatvsn%b
   --  hostparm%s
   --  opt%s
   --  opt%b
   --  csets%s
   --  csets%b
   --  output%s
   --  output%b
   --  rident%s
   --  seinfo%s
   --  stand%s
   --  stylesw%s
   --  stylesw%b
   --  table%s
   --  table%b
   --  elists%s
   --  elists%b
   --  uintp%s
   --  uintp%b
   --  urealp%s
   --  urealp%b
   --  widechar%s
   --  widechar%b
   --  namet%s
   --  namet%b
   --  butil%s
   --  butil%b
   --  binderr%s
   --  binderr%b
   --  casing%s
   --  casing%b
   --  err_vars%s
   --  fmap%s
   --  osint%s
   --  fmap%b
   --  sdefault%s
   --  sdefault%b
   --  targparm%s
   --  targparm%b
   --  osint%b
   --  fname%s
   --  fname%b
   --  osint.b%s
   --  osint.b%b
   --  sinfo%s
   --  snames%s
   --  snames%b
   --  ali%s
   --  ali%b
   --  binde%s
   --  binde%b
   --  bindgen%s
   --  bindgen%b
   --  bindo%s
   --  bindo.units%s
   --  bindo.graphs%s
   --  bindo.augmentors%s
   --  bindo.builders%s
   --  bindo.diagnostics%s
   --  bindo.elaborators%s
   --  bindo%b
   --  bindo.validators%s
   --  bindo.writers%s
   --  bindo.writers%b
   --  bindo.augmentors%b
   --  bindo.builders%b
   --  bindo.diagnostics%b
   --  bindo.elaborators%b
   --  bindo.graphs%b
   --  bindo.units%b
   --  bindo.validators%b
   --  einfo%s
   --  scans%s
   --  scans%b
   --  aspects%s
   --  nlists%s
   --  sinfo.nodes%s
   --  einfo.entities%s
   --  einfo.utils%s
   --  atree%s
   --  einfo.entities%b
   --  nlists%b
   --  sinfo.utils%s
   --  aspects%b
   --  atree%b
   --  einfo.utils%b
   --  sinfo.nodes%b
   --  sinput%s
   --  sinput%b
   --  sinfo.utils%b
   --  sem_aux%s
   --  sem_aux%b
   --  sinput.c%s
   --  sinput.c%b
   --  stringt%s
   --  stringt%b
   --  erroutc%s
   --  erroutc%b
   --  lib%s
   --  uname%s
   --  uname%b
   --  lib%b
   --  errout%s
   --  errout%b
   --  styleg%s
   --  styleg%b
   --  scng%s
   --  scng%b
   --  ali.util%s
   --  ali.util%b
   --  bcheck%s
   --  bcheck%b
   --  switch%s
   --  switch%b
   --  bindusg%s
   --  bindusg%b
   --  switch.b%s
   --  switch.b%b
   --  gnatbind%s
   --  gnatbind%b
   --  END ELABORATION ORDER

end ada_main;
