pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 12.0.0 20211127 (Red Hat 12.0-6)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   GNAT_Version_Address : constant System.Address := GNAT_Version'Address;
   pragma Export (C, GNAT_Version_Address, "__gnat_version_address");

   Ada_Main_Program_Name : constant String := "_ada_gnatlink" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#ee3bb5e2#;
   pragma Export (C, u00001, "gnatlinkB");
   u00002 : constant Version_32 := 16#e72e593c#;
   pragma Export (C, u00002, "gnatlinkS");
   u00003 : constant Version_32 := 16#2e11c0b1#;
   pragma Export (C, u00003, "system__standard_libraryB");
   u00004 : constant Version_32 := 16#eb6e0dda#;
   pragma Export (C, u00004, "system__standard_libraryS");
   u00005 : constant Version_32 := 16#76789da1#;
   pragma Export (C, u00005, "adaS");
   u00006 : constant Version_32 := 16#ab26c66f#;
   pragma Export (C, u00006, "ada__command_lineB");
   u00007 : constant Version_32 := 16#3cdef8c9#;
   pragma Export (C, u00007, "ada__command_lineS");
   u00008 : constant Version_32 := 16#a2da961d#;
   pragma Export (C, u00008, "systemS");
   u00009 : constant Version_32 := 16#7aded4c1#;
   pragma Export (C, u00009, "system__secondary_stackB");
   u00010 : constant Version_32 := 16#458fe2ff#;
   pragma Export (C, u00010, "system__secondary_stackS");
   u00011 : constant Version_32 := 16#0c73104d#;
   pragma Export (C, u00011, "ada__exceptionsB");
   u00012 : constant Version_32 := 16#6f48ffa7#;
   pragma Export (C, u00012, "ada__exceptionsS");
   u00013 : constant Version_32 := 16#19b42e05#;
   pragma Export (C, u00013, "ada__exceptions__last_chance_handlerB");
   u00014 : constant Version_32 := 16#e33d5b84#;
   pragma Export (C, u00014, "ada__exceptions__last_chance_handlerS");
   u00015 : constant Version_32 := 16#adf22619#;
   pragma Export (C, u00015, "system__soft_linksB");
   u00016 : constant Version_32 := 16#e7c01ffa#;
   pragma Export (C, u00016, "system__soft_linksS");
   u00017 : constant Version_32 := 16#ce3e0e21#;
   pragma Export (C, u00017, "system__soft_links__initializeB");
   u00018 : constant Version_32 := 16#5697fc2b#;
   pragma Export (C, u00018, "system__soft_links__initializeS");
   u00019 : constant Version_32 := 16#5c04aa41#;
   pragma Export (C, u00019, "system__parametersB");
   u00020 : constant Version_32 := 16#f37611b0#;
   pragma Export (C, u00020, "system__parametersS");
   u00021 : constant Version_32 := 16#41837d1e#;
   pragma Export (C, u00021, "system__stack_checkingB");
   u00022 : constant Version_32 := 16#2c65fdf5#;
   pragma Export (C, u00022, "system__stack_checkingS");
   u00023 : constant Version_32 := 16#ced09590#;
   pragma Export (C, u00023, "system__storage_elementsB");
   u00024 : constant Version_32 := 16#8f19dc19#;
   pragma Export (C, u00024, "system__storage_elementsS");
   u00025 : constant Version_32 := 16#34742901#;
   pragma Export (C, u00025, "system__exception_tableB");
   u00026 : constant Version_32 := 16#b1e67ab7#;
   pragma Export (C, u00026, "system__exception_tableS");
   u00027 : constant Version_32 := 16#fc140986#;
   pragma Export (C, u00027, "system__exceptionsS");
   u00028 : constant Version_32 := 16#69416224#;
   pragma Export (C, u00028, "system__exceptions__machineB");
   u00029 : constant Version_32 := 16#46086a45#;
   pragma Export (C, u00029, "system__exceptions__machineS");
   u00030 : constant Version_32 := 16#aa0563fc#;
   pragma Export (C, u00030, "system__exceptions_debugB");
   u00031 : constant Version_32 := 16#92c2ea31#;
   pragma Export (C, u00031, "system__exceptions_debugS");
   u00032 : constant Version_32 := 16#1253e556#;
   pragma Export (C, u00032, "system__img_intS");
   u00033 : constant Version_32 := 16#01838199#;
   pragma Export (C, u00033, "system__tracebackB");
   u00034 : constant Version_32 := 16#e2576046#;
   pragma Export (C, u00034, "system__tracebackS");
   u00035 : constant Version_32 := 16#1f08c83e#;
   pragma Export (C, u00035, "system__traceback_entriesB");
   u00036 : constant Version_32 := 16#8472457c#;
   pragma Export (C, u00036, "system__traceback_entriesS");
   u00037 : constant Version_32 := 16#f7c71fbe#;
   pragma Export (C, u00037, "system__traceback__symbolicB");
   u00038 : constant Version_32 := 16#50f995d5#;
   pragma Export (C, u00038, "system__traceback__symbolicS");
   u00039 : constant Version_32 := 16#179d7d28#;
   pragma Export (C, u00039, "ada__containersS");
   u00040 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00040, "ada__exceptions__tracebackB");
   u00041 : constant Version_32 := 16#a40f75ce#;
   pragma Export (C, u00041, "ada__exceptions__tracebackS");
   u00042 : constant Version_32 := 16#edec285f#;
   pragma Export (C, u00042, "interfacesS");
   u00043 : constant Version_32 := 16#fb01eaa4#;
   pragma Export (C, u00043, "interfaces__cB");
   u00044 : constant Version_32 := 16#65fe712b#;
   pragma Export (C, u00044, "interfaces__cS");
   u00045 : constant Version_32 := 16#e865e681#;
   pragma Export (C, u00045, "system__bounded_stringsB");
   u00046 : constant Version_32 := 16#d527b704#;
   pragma Export (C, u00046, "system__bounded_stringsS");
   u00047 : constant Version_32 := 16#fdcdcac1#;
   pragma Export (C, u00047, "system__crtlS");
   u00048 : constant Version_32 := 16#f64b5fd2#;
   pragma Export (C, u00048, "system__dwarf_linesB");
   u00049 : constant Version_32 := 16#abc8cfe6#;
   pragma Export (C, u00049, "system__dwarf_linesS");
   u00050 : constant Version_32 := 16#5b4659fa#;
   pragma Export (C, u00050, "ada__charactersS");
   u00051 : constant Version_32 := 16#55d8d23c#;
   pragma Export (C, u00051, "ada__characters__handlingB");
   u00052 : constant Version_32 := 16#f0ae79d3#;
   pragma Export (C, u00052, "ada__characters__handlingS");
   u00053 : constant Version_32 := 16#4b7bb96a#;
   pragma Export (C, u00053, "ada__characters__latin_1S");
   u00054 : constant Version_32 := 16#e6d4fa36#;
   pragma Export (C, u00054, "ada__stringsS");
   u00055 : constant Version_32 := 16#d324fbf6#;
   pragma Export (C, u00055, "ada__strings__mapsB");
   u00056 : constant Version_32 := 16#88df9e15#;
   pragma Export (C, u00056, "ada__strings__mapsS");
   u00057 : constant Version_32 := 16#8f39c452#;
   pragma Export (C, u00057, "system__bit_opsB");
   u00058 : constant Version_32 := 16#0765e3a3#;
   pragma Export (C, u00058, "system__bit_opsS");
   u00059 : constant Version_32 := 16#89dde28e#;
   pragma Export (C, u00059, "system__unsigned_typesS");
   u00060 : constant Version_32 := 16#047daaea#;
   pragma Export (C, u00060, "ada__strings__maps__constantsS");
   u00061 : constant Version_32 := 16#a0d3d22b#;
   pragma Export (C, u00061, "system__address_imageB");
   u00062 : constant Version_32 := 16#03360b27#;
   pragma Export (C, u00062, "system__address_imageS");
   u00063 : constant Version_32 := 16#d5cc70e4#;
   pragma Export (C, u00063, "system__img_unsS");
   u00064 : constant Version_32 := 16#20ec7aa3#;
   pragma Export (C, u00064, "system__ioB");
   u00065 : constant Version_32 := 16#3c986152#;
   pragma Export (C, u00065, "system__ioS");
   u00066 : constant Version_32 := 16#06253b73#;
   pragma Export (C, u00066, "system__mmapB");
   u00067 : constant Version_32 := 16#c8dac3e3#;
   pragma Export (C, u00067, "system__mmapS");
   u00068 : constant Version_32 := 16#92d882c5#;
   pragma Export (C, u00068, "ada__io_exceptionsS");
   u00069 : constant Version_32 := 16#ff7fe6a1#;
   pragma Export (C, u00069, "system__mmap__os_interfaceB");
   u00070 : constant Version_32 := 16#4856845e#;
   pragma Export (C, u00070, "system__mmap__os_interfaceS");
   u00071 : constant Version_32 := 16#c4762d35#;
   pragma Export (C, u00071, "system__mmap__unixS");
   u00072 : constant Version_32 := 16#04c90d6d#;
   pragma Export (C, u00072, "system__os_libB");
   u00073 : constant Version_32 := 16#52088caf#;
   pragma Export (C, u00073, "system__os_libS");
   u00074 : constant Version_32 := 16#54e9b9fb#;
   pragma Export (C, u00074, "system__atomic_operations__test_and_setB");
   u00075 : constant Version_32 := 16#57acee8e#;
   pragma Export (C, u00075, "system__atomic_operations__test_and_setS");
   u00076 : constant Version_32 := 16#65b9ec38#;
   pragma Export (C, u00076, "system__atomic_operationsS");
   u00077 : constant Version_32 := 16#54d1c523#;
   pragma Export (C, u00077, "system__atomic_primitivesB");
   u00078 : constant Version_32 := 16#5ac3d193#;
   pragma Export (C, u00078, "system__atomic_primitivesS");
   u00079 : constant Version_32 := 16#ec4d5631#;
   pragma Export (C, u00079, "system__case_utilB");
   u00080 : constant Version_32 := 16#9d0f2049#;
   pragma Export (C, u00080, "system__case_utilS");
   u00081 : constant Version_32 := 16#2a8e89ad#;
   pragma Export (C, u00081, "system__stringsB");
   u00082 : constant Version_32 := 16#ee9775cf#;
   pragma Export (C, u00082, "system__stringsS");
   u00083 : constant Version_32 := 16#2e823f49#;
   pragma Export (C, u00083, "system__object_readerB");
   u00084 : constant Version_32 := 16#4d58338b#;
   pragma Export (C, u00084, "system__object_readerS");
   u00085 : constant Version_32 := 16#7f3a47d4#;
   pragma Export (C, u00085, "system__val_lliS");
   u00086 : constant Version_32 := 16#945fbd74#;
   pragma Export (C, u00086, "system__val_lluS");
   u00087 : constant Version_32 := 16#879d81a3#;
   pragma Export (C, u00087, "system__val_utilB");
   u00088 : constant Version_32 := 16#0e7a20e3#;
   pragma Export (C, u00088, "system__val_utilS");
   u00089 : constant Version_32 := 16#992dbac1#;
   pragma Export (C, u00089, "system__exception_tracesB");
   u00090 : constant Version_32 := 16#a0f69396#;
   pragma Export (C, u00090, "system__exception_tracesS");
   u00091 : constant Version_32 := 16#8c33a517#;
   pragma Export (C, u00091, "system__wch_conB");
   u00092 : constant Version_32 := 16#b9a7b4cf#;
   pragma Export (C, u00092, "system__wch_conS");
   u00093 : constant Version_32 := 16#9721e840#;
   pragma Export (C, u00093, "system__wch_stwB");
   u00094 : constant Version_32 := 16#94b698ce#;
   pragma Export (C, u00094, "system__wch_stwS");
   u00095 : constant Version_32 := 16#1f681dab#;
   pragma Export (C, u00095, "system__wch_cnvB");
   u00096 : constant Version_32 := 16#b6100e3c#;
   pragma Export (C, u00096, "system__wch_cnvS");
   u00097 : constant Version_32 := 16#ece6fdb6#;
   pragma Export (C, u00097, "system__wch_jisB");
   u00098 : constant Version_32 := 16#3660171d#;
   pragma Export (C, u00098, "system__wch_jisS");
   u00099 : constant Version_32 := 16#baf70b59#;
   pragma Export (C, u00099, "aliB");
   u00100 : constant Version_32 := 16#4744556f#;
   pragma Export (C, u00100, "aliS");
   u00101 : constant Version_32 := 16#841c7f3d#;
   pragma Export (C, u00101, "butilB");
   u00102 : constant Version_32 := 16#6da91032#;
   pragma Export (C, u00102, "butilS");
   u00103 : constant Version_32 := 16#b5988c27#;
   pragma Export (C, u00103, "gnatS");
   u00104 : constant Version_32 := 16#40f0b74c#;
   pragma Export (C, u00104, "optB");
   u00105 : constant Version_32 := 16#f39d459c#;
   pragma Export (C, u00105, "optS");
   u00106 : constant Version_32 := 16#57ed17d5#;
   pragma Export (C, u00106, "system__assertionsB");
   u00107 : constant Version_32 := 16#6f8b84a5#;
   pragma Export (C, u00107, "system__assertionsS");
   u00108 : constant Version_32 := 16#96728d28#;
   pragma Export (C, u00108, "ada__assertionsB");
   u00109 : constant Version_32 := 16#d1602bfd#;
   pragma Export (C, u00109, "ada__assertionsS");
   u00110 : constant Version_32 := 16#f7706eca#;
   pragma Export (C, u00110, "hostparmS");
   u00111 : constant Version_32 := 16#fd83e873#;
   pragma Export (C, u00111, "system__concat_2B");
   u00112 : constant Version_32 := 16#a07a41cd#;
   pragma Export (C, u00112, "system__concat_2S");
   u00113 : constant Version_32 := 16#189db50b#;
   pragma Export (C, u00113, "typesB");
   u00114 : constant Version_32 := 16#d6e7fd25#;
   pragma Export (C, u00114, "typesS");
   u00115 : constant Version_32 := 16#a1d6147d#;
   pragma Export (C, u00115, "system__compare_array_unsigned_8B");
   u00116 : constant Version_32 := 16#0bd9e790#;
   pragma Export (C, u00116, "system__compare_array_unsigned_8S");
   u00117 : constant Version_32 := 16#a8025f3c#;
   pragma Export (C, u00117, "system__address_operationsB");
   u00118 : constant Version_32 := 16#b1d6282e#;
   pragma Export (C, u00118, "system__address_operationsS");
   u00119 : constant Version_32 := 16#cf449528#;
   pragma Export (C, u00119, "outputB");
   u00120 : constant Version_32 := 16#6c38fdb8#;
   pragma Export (C, u00120, "outputS");
   u00121 : constant Version_32 := 16#96538acc#;
   pragma Export (C, u00121, "nametB");
   u00122 : constant Version_32 := 16#d301c7df#;
   pragma Export (C, u00122, "nametS");
   u00123 : constant Version_32 := 16#91fc5baa#;
   pragma Export (C, u00123, "debugB");
   u00124 : constant Version_32 := 16#1ac546f9#;
   pragma Export (C, u00124, "debugS");
   u00125 : constant Version_32 := 16#26263496#;
   pragma Export (C, u00125, "widecharB");
   u00126 : constant Version_32 := 16#30ee4853#;
   pragma Export (C, u00126, "widecharS");
   u00127 : constant Version_32 := 16#1b78961f#;
   pragma Export (C, u00127, "allocS");
   u00128 : constant Version_32 := 16#e85252dd#;
   pragma Export (C, u00128, "tableB");
   u00129 : constant Version_32 := 16#35415d23#;
   pragma Export (C, u00129, "tableS");
   u00130 : constant Version_32 := 16#fa5bafc8#;
   pragma Export (C, u00130, "system__memoryB");
   u00131 : constant Version_32 := 16#fba7f029#;
   pragma Export (C, u00131, "system__memoryS");
   u00132 : constant Version_32 := 16#9b950d9a#;
   pragma Export (C, u00132, "fnameB");
   u00133 : constant Version_32 := 16#6ef24056#;
   pragma Export (C, u00133, "fnameS");
   u00134 : constant Version_32 := 16#0c1f684a#;
   pragma Export (C, u00134, "gnat__dynamic_htablesB");
   u00135 : constant Version_32 := 16#05f952b6#;
   pragma Export (C, u00135, "gnat__dynamic_htablesS");
   u00136 : constant Version_32 := 16#4e6ae2f0#;
   pragma Export (C, u00136, "osintB");
   u00137 : constant Version_32 := 16#5e7b8603#;
   pragma Export (C, u00137, "osintS");
   u00138 : constant Version_32 := 16#6f94387e#;
   pragma Export (C, u00138, "fmapB");
   u00139 : constant Version_32 := 16#bafa9de5#;
   pragma Export (C, u00139, "fmapS");
   u00140 : constant Version_32 := 16#be789e08#;
   pragma Export (C, u00140, "gnat__htableB");
   u00141 : constant Version_32 := 16#7a3e0440#;
   pragma Export (C, u00141, "gnat__htableS");
   u00142 : constant Version_32 := 16#5534feb6#;
   pragma Export (C, u00142, "system__htableB");
   u00143 : constant Version_32 := 16#261825f7#;
   pragma Export (C, u00143, "system__htableS");
   u00144 : constant Version_32 := 16#089f5cd0#;
   pragma Export (C, u00144, "system__string_hashB");
   u00145 : constant Version_32 := 16#84464e89#;
   pragma Export (C, u00145, "system__string_hashS");
   u00146 : constant Version_32 := 16#ebbea06c#;
   pragma Export (C, u00146, "gnatvsnB");
   u00147 : constant Version_32 := 16#b2ce1676#;
   pragma Export (C, u00147, "gnatvsnS");
   u00148 : constant Version_32 := 16#3fcd0631#;
   pragma Export (C, u00148, "sdefaultB");
   u00149 : constant Version_32 := 16#e7342cbf#;
   pragma Export (C, u00149, "sdefaultS");
   u00150 : constant Version_32 := 16#303d4bc6#;
   pragma Export (C, u00150, "targparmB");
   u00151 : constant Version_32 := 16#1a496f66#;
   pragma Export (C, u00151, "targparmS");
   u00152 : constant Version_32 := 16#89a09cc9#;
   pragma Export (C, u00152, "csetsB");
   u00153 : constant Version_32 := 16#e948558f#;
   pragma Export (C, u00153, "csetsS");
   u00154 : constant Version_32 := 16#06c1cd57#;
   pragma Export (C, u00154, "ridentS");
   u00155 : constant Version_32 := 16#afdef0b8#;
   pragma Export (C, u00155, "snamesB");
   u00156 : constant Version_32 := 16#3db80430#;
   pragma Export (C, u00156, "snamesS");
   u00157 : constant Version_32 := 16#ee7e5be9#;
   pragma Export (C, u00157, "casingB");
   u00158 : constant Version_32 := 16#91da49f0#;
   pragma Export (C, u00158, "casingS");
   u00159 : constant Version_32 := 16#0a85a591#;
   pragma Export (C, u00159, "indepswB");
   u00160 : constant Version_32 := 16#69a415e4#;
   pragma Export (C, u00160, "indepswS");
   u00161 : constant Version_32 := 16#8d199472#;
   pragma Export (C, u00161, "interfaces__c__stringsB");
   u00162 : constant Version_32 := 16#eda3d306#;
   pragma Export (C, u00162, "interfaces__c__stringsS");
   u00163 : constant Version_32 := 16#73d2d764#;
   pragma Export (C, u00163, "interfaces__c_streamsB");
   u00164 : constant Version_32 := 16#066a78a0#;
   pragma Export (C, u00164, "interfaces__c_streamsS");
   u00165 : constant Version_32 := 16#34f2c5af#;
   pragma Export (C, u00165, "switchB");
   u00166 : constant Version_32 := 16#97f96714#;
   pragma Export (C, u00166, "switchS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.atomic_operations%s
   --  system.img_int%s
   --  system.io%s
   --  system.io%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.img_uns%s
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.traceback%s
   --  system.traceback%b
   --  ada.characters.handling%s
   --  system.atomic_operations.test_and_set%s
   --  system.case_util%s
   --  system.os_lib%s
   --  system.secondary_stack%s
   --  system.standard_library%s
   --  ada.exceptions%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.soft_links%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_llu%s
   --  system.val_lli%s
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.traceback%b
   --  system.address_image%s
   --  system.address_image%b
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.bounded_strings%s
   --  system.bounded_strings%b
   --  system.case_util%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.containers%s
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  ada.strings.maps%s
   --  ada.strings.maps%b
   --  ada.strings.maps.constants%s
   --  interfaces.c%s
   --  interfaces.c%b
   --  system.atomic_primitives%s
   --  system.atomic_primitives%b
   --  system.exceptions%s
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  ada.characters.handling%b
   --  system.atomic_operations.test_and_set%b
   --  system.exception_traces%s
   --  system.exception_traces%b
   --  system.memory%s
   --  system.memory%b
   --  system.mmap%s
   --  system.mmap.os_interface%s
   --  system.mmap%b
   --  system.mmap.unix%s
   --  system.mmap.os_interface%b
   --  system.object_reader%s
   --  system.object_reader%b
   --  system.dwarf_lines%s
   --  system.dwarf_lines%b
   --  system.os_lib%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.standard_library%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  ada.assertions%s
   --  ada.assertions%b
   --  ada.command_line%s
   --  ada.command_line%b
   --  gnat%s
   --  gnat.htable%s
   --  gnat.htable%b
   --  interfaces.c.strings%s
   --  interfaces.c.strings%b
   --  gnat.dynamic_htables%s
   --  gnat.dynamic_htables%b
   --  system.assertions%s
   --  system.assertions%b
   --  debug%s
   --  debug%b
   --  types%s
   --  types%b
   --  alloc%s
   --  gnatvsn%s
   --  gnatvsn%b
   --  hostparm%s
   --  indepsw%s
   --  indepsw%b
   --  opt%s
   --  opt%b
   --  csets%s
   --  csets%b
   --  output%s
   --  output%b
   --  rident%s
   --  table%s
   --  table%b
   --  widechar%s
   --  widechar%b
   --  namet%s
   --  namet%b
   --  butil%s
   --  butil%b
   --  casing%s
   --  casing%b
   --  fmap%s
   --  osint%s
   --  fmap%b
   --  sdefault%s
   --  sdefault%b
   --  targparm%s
   --  targparm%b
   --  osint%b
   --  fname%s
   --  fname%b
   --  snames%s
   --  snames%b
   --  ali%s
   --  ali%b
   --  switch%s
   --  switch%b
   --  gnatlink%s
   --  gnatlink%b
   --  END ELABORATION ORDER

end ada_main;
